MODULE GnomeGlib;
TYPE
  gchar* = SHORTCHAR;
  gshort* = SHORTINT;
  glong* = INTEGER;
  gint* = INTEGER;
  gboolean* = gint;

  guchar* = SHORTCHAR;
  gushort* = CHAR;
  gulong* = INTEGER;
  guint* = INTEGER;

  gfloat* = SHORTREAL;
  gdouble* = REAL;

  gint8* = BYTE;
  guint8* = SHORTCHAR;
  gint16* = SHORTINT;
  guint16* = CHAR;
  gint32* = INTEGER;
  guint32* = INTEGER;

  gint64* = LONGINT;
  guint64* = LONGINT;

	gsize* = INTEGER;
	gssize* = INTEGER;

	gpointer* = ANYPTR;

	void* = gpointer;

	pgchararray* = POINTER TO ARRAY 07FFFFFFFH OF gchar;

	Pgchar* = pgchararray;

	PGSList* = POINTER TO GSList;
	GSList* = RECORD
		data*: gpointer;
		next*: PGSList;
	END;

	(*
		     XML.

		GtkObject = RECORD(...)
		END;

		Object = RECORD()
			handle: PGtkObject;
			Constructor
		END;
	*)

CONST
  G_SIGNAL_RUN_FIRST*   = {0};
  G_SIGNAL_RUN_LAST*    = {1};
  G_SIGNAL_RUN_CLEANUP* = {2};
  G_SIGNAL_NO_RECURSE*  = {3};
  G_SIGNAL_DETAILED*    = {4};
  G_SIGNAL_ACTION*      = {5};
  G_SIGNAL_NO_HOOKS*    = {6};
  G_SIGNAL_FLAGS_MASK*  = {0..6};

  G_PARAM_READABLE*       = {0};
  G_PARAM_WRITABLE*       = {1};
  G_PARAM_CONSTRUCT*      = {2};
  G_PARAM_CONSTRUCT_ONLY* = {3};
  G_PARAM_LAX_VALIDATION* = {4};
  G_PARAM_STATIC_NAME*    = {5};
  G_PARAM_PRIVATE*        = G_PARAM_STATIC_NAME;
  G_PARAM_STATIC_NICK*    = {6};
  G_PARAM_STATIC_BLURB*   = {7};

TYPE
  GParamFlags = SET;

CONST
  G_PARAM_READWRITE*      = G_PARAM_READABLE + G_PARAM_WRITABLE;
  G_PARAM_STATIC_STRINGS* = G_PARAM_STATIC_NAME + G_PARAM_STATIC_NICK +G_PARAM_STATIC_BLURB;
  G_PARAM_MASK*           = {0..7};
  G_PARAM_USER_SHIFT*     = 8;

  G_TOKEN_EOF*		=   0;

  G_TOKEN_LEFT_PAREN*	= ORD('(');
  G_TOKEN_RIGHT_PAREN*	= ORD(')');
  G_TOKEN_LEFT_CURLY*	= ORD('{');
  G_TOKEN_RIGHT_CURLY*	= ORD('}');
  G_TOKEN_LEFT_BRACE*	= ORD('[');
  G_TOKEN_RIGHT_BRACE*	= ORD(']');
  G_TOKEN_EQUAL_SIGN*	= ORD('=');
  G_TOKEN_COMMA*	= ORD(',');

  G_TOKEN_NONE*		= 256,

  G_TOKEN_ERROR*	= 257;

  G_TOKEN_CHAR*		= 257;
  G_TOKEN_BINARY*	= 258;
  G_TOKEN_OCTAL*	= 259;
  G_TOKEN_INT*		= 260;
  G_TOKEN_HEX*		= 261;
  G_TOKEN_FLOAT*	= 262;
  G_TOKEN_STRING*	= 263;

  G_TOKEN_SYMBOL*	= 264;
  G_TOKEN_IDENTIFIER*	= 265;
  G_TOKEN_IDENTIFIER_NULL*=266;

  G_TOKEN_COMMENT_SINGLE*=267;
  G_TOKEN_COMMENT_MULTI*=268;
  G_TOKEN_LAST*	= 269;



END GnomeGlib.